package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.ast.expr.SQLIntegerExpr;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTablePartitionCount extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLIntegerExpr count;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.count);
      }

      visitor.endVisit(this);
   }

   public SQLIntegerExpr getCount() {
      return this.count;
   }

   public void setCount(SQLIntegerExpr count) {
      if (count != null) {
         count.setParent(this);
      }

      this.count = count;
   }
}
